kdelibs5-plugins_4.14.38-3_i386.deb


Advertisement

Description

kdelibs5-plugins - core plugins for KDE Applications

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package name kdelibs5-plugins
Package version 4.14.38
Package release 3
Package architecture i386
Package type deb
Installed size 5.03 KB
Download size 1.08 MB
Official Mirror ftp.br.debian.org
This package contains core plugins for KDE Applications used by KDE
Applications and KDE Development Platform libraries at runtime. This package
is needed to run most KDE Applications.
This package is part of the KDE Development Platform libraries module.

Alternatives

Package Version Architecture Repository
kdelibs5-plugins_4.14.38-3_amd64.deb 4.14.38 amd64 Debian Main
kdelibs5-plugins - - -

Requires

Name Value
dbus x11
katepart -
kdelibs-bin = 4:4.14.38-3
kdelibs5-data = 4:4.14.38-3
kdoctools = 4:4.14.38-3
libacl1 >= 2.2.51-8
libaspell15 >= 0.60.7~20110707
libc6 >= 2.15
libenchant1c2a >= 1.6.0
libgcc1 >= 1:3.0
libgssapi-krb5-2 >= 1.14+dfsg
libkde3support4 = 4:4.14.38-3
libkdecore5 = 4:4.14.38-3
libkdeui5 = 4:4.14.38-3
libkdewebkit5 = 4:4.14.38-3
libkemoticons4 = 4:4.14.38-3
libkfile4 = 4:4.14.38-3
libkhtml5 = 4:4.14.38-3
libkio5 = 4:4.14.38-3
libkjsapi4 = 4:4.14.38-3
libkjsembed4 = 4:4.14.38-3
libkntlm4 = 4:4.14.38-3
libkparts4 = 4:4.14.38-3
libkrosscore4 = 4:4.14.38-3
libphonon4 >= 4:4.6.0really4.3.80
libpolkit-qt-1-1 >= 0.99.0
libqt4-dbus >= 4:4.8.0
libqt4-network >= 4:4.8.0
libqt4-qt3support >= 4:4.8.0
libqt4-script >= 4:4.8.0
libqt4-xml >= 4:4.8.0
libqtcore4 >= 4:4.8.0
libqtgui4 >= 4:4.8.0
libsolid4 = 4:4.14.38-3
libstdc++6 >= 5.2
libx11 6
perl:any -
shared-mime-info >= 0.60~
xdg utils
zlib1g >= 1:1.1.4

Replaces

Name Value
kdelibs5-data << 4:4.6.3-3~
kdelibs5-dev << 4:4.6.2

Download

Type URL
Binary Package kdelibs5-plugins_4.14.38-3_i386.deb
Source Package kde4libs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install kdelibs5-plugins deb package:
    # sudo apt-get install kdelibs5-plugins

Files

Path
/usr/lib/i386-linux-gnu/qt4/plugins/designer/kde3supportwidgets.so
/usr/lib/i386-linux-gnu/qt4/plugins/designer/kdedeprecated.so
/usr/lib/i386-linux-gnu/qt4/plugins/designer/kdewebkitwidgets.so
/usr/lib/i386-linux-gnu/qt4/plugins/designer/kdewidgets.so
/usr/lib/kconf_update_bin/migrate_from_kde3_icon_theme
/usr/lib/kde4/emoticonstheme_adium.so
/usr/lib/kde4/emoticonstheme_kde.so
/usr/lib/kde4/emoticonstheme_pidgin.so
/usr/lib/kde4/emoticonstheme_xmpp.so
/usr/lib/kde4/kcm_ssl.so
/usr/lib/kde4/kded_kcookiejar.so
/usr/lib/kde4/kded_kssld.so
/usr/lib/kde4/kded_proxyscout.so
/usr/lib/kde4/kfileaudiopreview.so
/usr/lib/kde4/khtmladaptorpart.so
/usr/lib/kde4/khtmlimagepart.so
/usr/lib/kde4/kio_file.so
/usr/lib/kde4/kio_ftp.so
/usr/lib/kde4/kio_http.so
/usr/lib/kde4/kio_metainfo.so
/usr/lib/kde4/kjavaappletviewer.so
/usr/lib/kde4/krosskjs.so
/usr/lib/kde4/krossmoduleforms.so
/usr/lib/kde4/krossmodulekdetranslation.so
/usr/lib/kde4/krossqts.so
/usr/lib/kde4/kspell_aspell.so
/usr/lib/kde4/kspell_enchant.so
/usr/lib/kde4/kspell_hspell.so
/usr/lib/kde4/ktranscript.so
/usr/lib/kde4/libkhtmlpart.so
/usr/lib/kde4/libkmultipart.so
/usr/lib/kde4/notepadpart.so
/usr/lib/kde4/spellcheckplugin.so
/usr/lib/kde4/libexec/filesharelist
/usr/lib/kde4/libexec/fileshareset
/usr/lib/kde4/libexec/kconf_update
/usr/lib/kde4/libexec/kio_http_cache_cleaner
/usr/lib/kde4/libexec/kioslave
/usr/lib/kde4/libexec/klauncher
/usr/lib/kde4/libexec/kpac_dhcp_helper
/usr/lib/kde4/libexec/ksendbugmail
/usr/lib/kde4/libexec/start_kdeinit
/usr/lib/kde4/libexec/start_kdeinit_wrapper
/usr/lib/kde4/libkdeinit/libkdeinit4_kconf_update.so
/usr/lib/kde4/libkdeinit/libkdeinit4_kio_http_cache_cleaner.so
/usr/lib/kde4/libkdeinit/libkdeinit4_klauncher.so
/usr/lib/kde4/plugins/imageformats/kimg_dds.so
/usr/lib/kde4/plugins/imageformats/kimg_eps.so
/usr/lib/kde4/plugins/imageformats/kimg_pcx.so
/usr/lib/kde4/plugins/imageformats/kimg_pic.so
/usr/lib/kde4/plugins/imageformats/kimg_psd.so
/usr/lib/kde4/plugins/imageformats/kimg_ras.so
/usr/lib/kde4/plugins/imageformats/kimg_rgb.so
/usr/lib/kde4/plugins/imageformats/kimg_tga.so
/usr/lib/kde4/plugins/imageformats/kimg_xcf.so
/usr/lib/kde4/plugins/imageformats/kimg_xview.so
/usr/lib/kde4/plugins/kauth/backend/kauth_backend_plugin.so
/usr/lib/kde4/plugins/kauth/helper/kauth_helper_plugin.so
/usr/lib/kde4/plugins/script/libkrossqtsplugin.so.4
/usr/lib/kde4/plugins/script/libkrossqtsplugin.so.4.14.38
/usr/share/doc/kdelibs5-plugins/NEWS.Debian.gz
/usr/share/doc/kdelibs5-plugins/changelog.Debian.gz
/usr/share/doc/kdelibs5-plugins/copyright
/usr/share/kde4/apps/kconf_update/kdeui.upd
/usr/share/lintian/overrides/kdelibs5-plugins

Changelog

2018-12-01 - Didier Raboud <odyx@debian.org>
kde4libs (4:4.14.38-3) unstable; urgency=medium
* Team upload
* Build against OpenSSL 1.1 (Closes: #858937)
- use Fedora-provided patch backport by Daniel Vrátil and Wolfgang Bauer
- In Build-Depends, replace libssl1.0-dev by "libssl-dev (>= 1.1)"
2018-07-28 - Pino Toscano <pino@debian.org>
kde4libs (4:4.14.38-2) unstable; urgency=medium
* Team upload.
* Disable the support for Nepomuk, since it is not developed anymore:
(Closes: #674692, #585098)
- drop the libsoprano-dev, and shared-desktop-ontologies build dependencies
- drop the libnepomuk4, libnepomukutils4, and libnepomukquery4a binaries
- drop the libsoprano-dev dependency in kdelibs5-dev
- update install files
- update symbols files (only internal symbols dropped)
2018-07-14 - Pino Toscano <pino@debian.org>
kde4libs (4:4.14.38-1) unstable; urgency=medium
* Team upload.
* Last upstream release.
[ Maximiliano Curia ]
* Update uploaders list as requested by MIA team (Closes: #879320)
[ Pino Toscano ]
* Update watch file to the location of the last releases.
* Switch Vcs-* fields to salsa.debian.org.
* Remove the autopkgtest stuff:
- the 'acc' test does nothing, since there are no *.acc files
- the 'testsuite' test always runs the test suite from its build directory,
instead of using the installed packages; furthermore, it has always been
failing since the initial addition, and who added it does not bother
fixing it
* Update the build dependencies:
- remove dpkg-dev, as its version is satisfied in oldoldstable already
- remove libgrantlee-dev, used only in tests (that are not run)
* Switch Section of kdelibs-bin, kdelibs5-plugins, and kdelibs5-data from
libs to kde.
* Bump Standards-Version to 4.1.5, no changes required.
* Stop adding -ffunction-sections to CFLAGS & CXXFLAGS on ia64, it should not
be needed anymore.
* Remove mention of old kdelibs5-dbg package in rules.
2017-10-01 - Pino Toscano <pino@debian.org>
kde4libs (4:4.14.36-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Update symbols files from buildds' logs.
* Bump Standards-Version to 4.1.1, no changes required.
2017-08-26 - Pino Toscano <pino@debian.org>
kde4libs (4:4.14.35-1) unstable; urgency=medium
* Team upload.
* New upstream release:
- fixes build with GCC >= 7 (Closes: #853472)
- fixes build with cmake >= 3.9 (Closes: #870068)
* Update the patches:
- assume_trunc.diff: drop, obsolete
- java-set-names-in-permission-dialog.patch: drop, backported from upstream
- cmake-look-for-hunspell-1.6-as-well.patch: drop, backported from upstream
- Sanitize-URLs-before-passing-them-to-FindProxyForURL.patch: drop,
backported from upstream
- khtml-Delete-pointer-_before_-returning.patch: drop, backported from
upstream
- http-slave-send-error-page-after-authorization-failure.patch: drop,
backported from upstream
- Verify-that-whoever-is-calling-us-is-actually-who-he-says.patch: drop,
backported from upstream
* Fix typo in copyright.
* Bump Standards-Version to 4.0.1, no changes required.

See Also

Package Description
kdemultimedia_17.08.3+5.102_i386.deb multimedia applications from the official KDE release
kdenetwork-filesharing_17.08.3-1+b1_i386.deb network filesharing configuration module
kdenetwork_17.08.3+5.102_i386.deb networking applications from the official KDE release
kdenlive-data_18.12.2-1_all.deb non-linear video editor (data files)
kdenlive_18.12.2-1_i386.deb non-linear video editor
kdepim-addons_18.08.3-2_i386.deb Addons for KDE PIM applications
kdepim-doc_18.08.3-1_all.deb transitional package for kmail
kdepim-runtime_18.08.3-1_i386.deb runtime components for Akonadi KDE
kdepim-themeeditors_18.08.3-1_i386.deb Theme Editors for KDE PIM applications
kdepim_17.12.3+5.102_i386.deb Personal Information Management apps from the official KDE release
kdepimlibs-kio-plugins_4.14.10-10_i386.deb kio slaves used by KDE PIM applications
kdepimlibs5-dev_4.14.10-10_i386.deb development files for the KDE Development Platform PIM libraries
kdeplasma-addons-data_5.14.5.1-1_all.deb locale files for kdeplasma-addons
kdesdk-dolphin-plugins_18.08.0-1_all.deb transitional dummy package for dolphin-plugins
kdesdk-kio-plugins_17.08.3-2_all.deb transitional package for kio-perldoc
Advertisement
Advertisement